FROM debian:latest as base
ARG openjdk=17
RUN apt-get update && apt-get install -y openjdk-${openjdk}-jre-headless && apt-get clean

FROM base as builder
ARG branch=main
RUN apt-get update && apt-get install -y git && apt-get clean
RUN git clone https://code.briarproject.org/briar/briar-mailbox.git /briar-mailbox
WORKDIR /briar-mailbox
RUN git checkout ${branch}
RUN ./gradlew x86LinuxJar

FROM base as runtime
VOLUME /root/.local/share/briar-mailbox
COPY --from="builder" /briar-mailbox/mailbox-cli/build/libs/mailbox-cli-linux-x86_64.jar /
CMD [ "java", "-jar", "/mailbox-cli-linux-x86_64.jar" ]
